curl --request POST \
--url https://{base_url_domain}/api/global/v1/shipping/orders/massUpdate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orders": {
"ids": [
2
]
},
"actions": {
"setValues": {
"order_reference": "O-382227",
"require_overbox": false,
"require_signature": "adult",
"require_saturday_delivery": false,
"desired_delivery_date": "2021-02-21",
"shipping_method": "ups_03",
"third_party_billing_group_id": 12,
"custom_greeting": "<string>",
"note": "<string>",
"declared_value_service": true,
"declared_value": {
"amount": 99,
"currency": "USD"
},
"backorder_policy": "default",
"reason_for_export": "sold",
"priority": 50,
"allocation_options": {},
"requested_ship_date": "2021-02-21T07:00:00Z",
"other_shipping_options": {},
"batch_tag": "Smalls-CartA",
"telephone": "865-971-4663",
"email": "celina.goalley@thompson-torp.com"
},
"updateAllocationOptions": {
"set": {
"algorithms": [
"default"
]
},
"unset": [
"dynamic_allocation"
]
},
"updateOtherShippingOptions": {
"merge": {
"reference_numbers": {
"invoice": null
}
}
},
"hold": {
"until": "2017-07-21T17:32:28Z",
"comment": "<string>"
},
"unhold": {
"comment": "<string>"
},
"unlockFromWarehouse": {}
},
"onError": "continue"
}
'import requests
url = "https://{base_url_domain}/api/global/v1/shipping/orders/massUpdate"
payload = {
"orders": { "ids": [2] },
"actions": {
"setValues": {
"order_reference": "O-382227",
"require_overbox": False,
"require_signature": "adult",
"require_saturday_delivery": False,
"desired_delivery_date": "2021-02-21",
"shipping_method": "ups_03",
"third_party_billing_group_id": 12,
"custom_greeting": "<string>",
"note": "<string>",
"declared_value_service": True,
"declared_value": {
"amount": 99,
"currency": "USD"
},
"backorder_policy": "default",
"reason_for_export": "sold",
"priority": 50,
"allocation_options": {},
"requested_ship_date": "2021-02-21T07:00:00Z",
"other_shipping_options": {},
"batch_tag": "Smalls-CartA",
"telephone": "865-971-4663",
"email": "celina.goalley@thompson-torp.com"
},
"updateAllocationOptions": {
"set": { "algorithms": ["default"] },
"unset": ["dynamic_allocation"]
},
"updateOtherShippingOptions": { "merge": { "reference_numbers": { "invoice": None } } },
"hold": {
"until": "2017-07-21T17:32:28Z",
"comment": "<string>"
},
"unhold": { "comment": "<string>" },
"unlockFromWarehouse": {}
},
"onError": "continue"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orders: {ids: [2]},
actions: {
setValues: {
order_reference: 'O-382227',
require_overbox: false,
require_signature: 'adult',
require_saturday_delivery: false,
desired_delivery_date: '2021-02-21',
shipping_method: 'ups_03',
third_party_billing_group_id: 12,
custom_greeting: '<string>',
note: '<string>',
declared_value_service: true,
declared_value: {amount: 99, currency: 'USD'},
backorder_policy: 'default',
reason_for_export: 'sold',
priority: 50,
allocation_options: {},
requested_ship_date: '2021-02-21T07:00:00Z',
other_shipping_options: {},
batch_tag: 'Smalls-CartA',
telephone: '865-971-4663',
email: 'celina.goalley@thompson-torp.com'
},
updateAllocationOptions: {set: {algorithms: ['default']}, unset: ['dynamic_allocation']},
updateOtherShippingOptions: {merge: {reference_numbers: {invoice: null}}},
hold: {until: '2017-07-21T17:32:28Z', comment: '<string>'},
unhold: {comment: '<string>'},
unlockFromWarehouse: {}
},
onError: 'continue'
})
};
fetch('https://{base_url_domain}/api/global/v1/shipping/orders/massUpdate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"loaded": 1,
"committed": 1,
"failed": 1,
"not-found": 1,
"results": [
{
"resource": {
"type": "Order",
"id": 2
},
"message": "<string>",
"details": {
"updatePriority": {
"message": "<string>",
"new_value": 123
},
"lockToWarehouse": {
"message": "<string>"
},
"unlockFromWarehouse": {
"message": "<string>"
},
"cancel": {
"message": "<string>"
},
"hold": {
"message": "<string>"
},
"unhold": {
"message": "<string>"
}
}
}
],
"meta": {
"processing_time": 123
}
}Mass update orders
Updates a batch of orders specified by and according to the request body.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Body
An object containing the orders to be updated.
Show child attributes
Show child attributes
An object containing all of the actions to be taken on the specified Order ids.
Show child attributes
Show child attributes
The value determining how errors are to be handled.
continueThe current entity will be rolled back and any remaining entities will continue to be processed.stopThe current entity will be rolled back and the request will stop processing any remaining entities.abortThe entire request will be rolled back.
continue, stop, abort Response
An object with orders mass update results.
The number of entities that were successfully loaded.
x >= 0The number of entities that were successfully updated.
x >= 0The number of entities that failed to be updated.
x >= 0The number of entities that were not found.
x >= 0The list of update results for the requested Order objects.
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?